petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCASMSetDMSubdomains

Indicates whether to use DMCreateDomainDecomposition() to define the subdomains, whenever possible. Logically Collective

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCASMSetDMSubdomains(PC pc,PetscBool flg)

### Input Parameter

| pc | - the preconditioner Many br
| flg | - boolean indicating whether to use subdomains defined by the DM Many br

### Options Database Key

-pc_asm_dm_subdomains - Many br Many br

### Notes

PCASMSetTotalSubdomains() and PCASMSetOverlap() take precedence over PCASMSetDMSubdomains(), Many brso setting either of the first two effectively turns the latter off. Many br

### Keywords

PC, ASM, DM, set, subdomains, additive Schwarz

### See Also

PCASMGetDMSubdomains(), PCASMSetTotalSubdomains(), PCASMSetOverlap()
PCASMCreateSubdomains2D(), PCASMSetLocalSubdomains(), PCASMGetLocalSubdomains() Many br

Level:intermediate
Location:src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages